Package net.shibboleth.profile.context

# Class RelyingPartyContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.profile.context.RelyingPartyContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class RelyingPartyContext extends BaseContext
`BaseContext` containing relying party specific information, usually a subcontext of `ProfileRequestContext`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private ProfileConfiguration`
`profileConfiguration`
Profile configuration that is in use.
`private RelyingPartyConfiguration`
`relyingPartyConfiguration`
The relying party configuration.
`private String`
`relyingPartyId`
The identifier for the relying party.
`private BaseContext`
`relyingPartyIdContextTree`
A pointer to a context tree containing identifying material for the relying party.
`private Function<RelyingPartyContext,String>`
`relyingPartyIdLookupStrategy`
A lookup strategy for deriving a relying party ID based on contained information.
`private Function<RelyingPartyContext,Boolean>`
`verificationLookupStrategy`
A lookup strategy for deriving verification based on the context.
`private Boolean`
`verified`
Optional flag indicating whether verification was done.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyContext()`

## Method Summary

Modifier and Type
Method
Description
`RelyingPartyConfiguration`
`ensureConfiguration()`
Get the relying party configuration, raising an `IllegalStateException` if null.
`ProfileConfiguration`
`ensureProfileConfig()`
Get the configuration for the request profile currently being processed, raising an `IllegalStateException` if null.
`RelyingPartyConfiguration`
`getConfiguration()`
Get the relying party configuration.
`ProfileConfiguration`
`getProfileConfig()`
Get the configuration for the request profile currently being processed.
`String`
`getRelyingPartyId()`
Get the unique identifier of the relying party.
`BaseContext`
`getRelyingPartyIdContextTree()`
Get the context tree containing identifying information for this relying party.
`(package private) Function<RelyingPartyContext,String>`
`getRelyingPartyIdLookupStrategy()`
Get the lookup strategy for a non-explicit relying party ID.
`(package private) Function<RelyingPartyContext,Boolean>`
`getVerificationLookupStrategy()`
Get the lookup strategy for a non-explicit verification determination.
`boolean`
`isVerified()`
Get whether the relying party was verified in some fashion.
`RelyingPartyContext`
`setConfiguration(RelyingPartyConfiguration config)`
Set the configuration to use when processing requests for this relying party.
`RelyingPartyContext`
`setProfileConfig(ProfileConfiguration config)`
Set the configuration for the request profile currently being processed.
`RelyingPartyContext`
`setRelyingPartyId(String rpId)`
Set the unique identifier of the relying party.
`RelyingPartyContext`
`setRelyingPartyIdContextTree(BaseContext root)`
Set the context tree containing identifying information for this relying party.
`RelyingPartyContext`
`setRelyingPartyIdLookupStrategy(Function<RelyingPartyContext,String> strategy)`
Set the lookup strategy for a non-explicit relying party ID.
`RelyingPartyContext`
`setVerificationLookupStrategy(Function<RelyingPartyContext,Boolean> strategy)`
Set the lookup strategy for a non-explicit verification determination.
`RelyingPartyContext`
`setVerified(Boolean flag)`
Set whether the relying party was verified in some fashion.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### verified

@Nullable private Boolean verified
Optional flag indicating whether verification was done.

### relyingPartyId

@Nullable private String relyingPartyId
The identifier for the relying party.

### relyingPartyIdContextTree

@Nullable private BaseContext relyingPartyIdContextTree
A pointer to a context tree containing identifying material for the relying party.

### verificationLookupStrategy

@Nullable private Function<RelyingPartyContext,Boolean> verificationLookupStrategy
A lookup strategy for deriving verification based on the context.

### relyingPartyIdLookupStrategy

@Nullable private Function<RelyingPartyContext,String> relyingPartyIdLookupStrategy
A lookup strategy for deriving a relying party ID based on contained information.

### relyingPartyConfiguration

@Nullable private RelyingPartyConfiguration relyingPartyConfiguration
The relying party configuration.

### profileConfiguration

@Nullable private ProfileConfiguration profileConfiguration
Profile configuration that is in use.

## Constructor Details

### RelyingPartyContext

public RelyingPartyContext()

## Method Details

### isVerified

public boolean isVerified()
Get whether the relying party was verified in some fashion.

Returns:
  true iff the relying party's identity was verified

### setVerified

@Nonnull public RelyingPartyContext setVerified(@Nullable Boolean flag)
Set whether the relying party was verified in some fashion.

Parameters:
  `flag` - explicit value for the verified setting
Returns:
  this context

### getRelyingPartyId

@Nullable public String getRelyingPartyId()
Get the unique identifier of the relying party.

Returns:
  unique identifier of the relying party

### setRelyingPartyId

@Nonnull public RelyingPartyContext setRelyingPartyId(@Nullable String rpId)
Set the unique identifier of the relying party.

Parameters:
  `rpId` - the relying party identifier, or null
Returns:
  this context

### getRelyingPartyIdContextTree

@Nullable public BaseContext getRelyingPartyIdContextTree()
Get the context tree containing identifying information for this relying party.

The subtree root may, but need not, be an actual subcontext of this context.

Returns:
  context tree

### setRelyingPartyIdContextTree

@Nonnull public RelyingPartyContext setRelyingPartyIdContextTree(@Nullable BaseContext root)
Set the context tree containing identifying information for this relying party.

The subtree root may, but need not, be an actual subcontext of this context.

Parameters:
  `root` - root of context tree
Returns:
  this context

### getVerificationLookupStrategy

@Nullable Function<RelyingPartyContext,Boolean> getVerificationLookupStrategy()
Get the lookup strategy for a non-explicit verification determination.

Returns:
  lookup strategy

### setVerificationLookupStrategy

@Nonnull public RelyingPartyContext setVerificationLookupStrategy(@Nonnull Function<RelyingPartyContext,Boolean> strategy)
Set the lookup strategy for a non-explicit verification determination.

Parameters:
  `strategy` - lookup strategy
Returns:
  this context

### getRelyingPartyIdLookupStrategy

@Nullable Function<RelyingPartyContext,String> getRelyingPartyIdLookupStrategy()
Get the lookup strategy for a non-explicit relying party ID.

Returns:
  lookup strategy

### setRelyingPartyIdLookupStrategy

@Nonnull public RelyingPartyContext setRelyingPartyIdLookupStrategy(@Nonnull Function<RelyingPartyContext,String> strategy)
Set the lookup strategy for a non-explicit relying party ID.

Parameters:
  `strategy` - lookup strategy
Returns:
  this context

### getConfiguration

@Nullable public RelyingPartyConfiguration getConfiguration()
Get the relying party configuration.

Returns:
  the relying party configuration, or null

### ensureConfiguration

@Nonnull public RelyingPartyConfiguration ensureConfiguration()
Get the relying party configuration, raising an `IllegalStateException` if null.

Returns:
  the relying party configuration
Since:
  5.0.0

### setConfiguration

@Nonnull public RelyingPartyContext setConfiguration(@Nullable RelyingPartyConfiguration config)
Set the configuration to use when processing requests for this relying party.

Parameters:
  `config` - configuration to use when processing requests for this relying party, or null
Returns:
  this context

### getProfileConfig

@Nullable public ProfileConfiguration getProfileConfig()
Get the configuration for the request profile currently being processed.

Returns:
  profile configuration for the request profile currently being processed, or null

### ensureProfileConfig

@Nonnull public ProfileConfiguration ensureProfileConfig()
Get the configuration for the request profile currently being processed, raising an `IllegalStateException` if null.

Returns:
  profile configuration for the request profile currently being processed
Since:
  5.0.0

### setProfileConfig

@Nonnull public RelyingPartyContext setProfileConfig(@Nullable ProfileConfiguration config)
Set the configuration for the request profile currently being processed.

Parameters:
  `config` - configuration for the request profile currently being processed, or null
Returns:
  this context